`<fsDecl>` | (feature structure declaration) declares one type of feature structure.
Attributes: |
`type` | gives a name for the type of feature structure being declared.
| Datatype: CDATA
| Values: any convenient string of characters.
| Default: #REQUIRED
| Example:
Note |
`baseType` | gives the name of the feature structure type from which this type inherits features and constraints; if this type declares a feature with the same name as a feature of the base type, the definition within this `<fsDecl>` overrides the inherited definition. The `<fsConstraints>` are inherited only if this `<fsDecl>` does not specify any; otherwise the constraints in this `<fsDecl>` override. When no `baseType` is specified, no features or constraints are inherited.
| Datatype: CDATA
| Values: any convenient string for use as a name.
| Default: #IMPLIED
| Example:
Note |

Example

Note

Tagset auxiliary tag set for feature system declarations
Class
Filename `teifsd2`
Content: Contains a description (optional), a series of feature declarations, and an optional set of feature structure constraints.
Parents teiFsd2
Children fDecl fsConstraints fsDescr
Declaration

    <!ELEMENT fsDecl        - -  (fsDescr?, fDecl+, fsConstraints?)
                                                                    >
    <!ATTLIST fsDecl             %a.global
              type               CDATA               #REQUIRED
              baseType           CDATA               #IMPLIED       >

See 26

Back to index